crashpad::ElfSymbolTableReader::SymbolInformation Struct Reference

Information about a symbol in a module's symbol table. More...

`#include "snapshot/elf/elf_symbol_table_reader.h"`

## Public Attributes

VMAddress | address
| The address of the symbol as it exists in the symbol table, not adjusted for any load bias.
VMSize | size
| The size of the symbol.
uint16_t | shndx
| The section index that the symbol definition is in relation to.
uint8_t | type
| Specifies the type of symbol. Possible values include `STT_OBJECT`, `STT_FUNC`, etc.
uint8_t | binding
| Specifies the default scope at which a symbol takes precedence. Possible values include `STB_LOCAL`, `STB_GLOBAL`, `STB_WEAK`, or OS/processor specific values.
uint8_t | visibility
| Together with binding, can limit the visibility of a symbol to the module that defines it. Possible values include `STV_DEFAULT`, `STV_INTERNAL`, `STV_HIDDEN`, and `STV_PROTECTED`.

## Detailed Description

Information about a symbol in a module's symbol table.

The documentation for this struct was generated from the following file:

- snapshot/elf/elf_symbol_table_reader.h